Bug 461805 - gpk-update-icon crashed
gpk-update-icon crashed
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
http://bugzilla.gnome.org/show_bug.cg...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-10 14:30 EDT by D. Wagner
Modified: 2009-01-30 15:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-22 17:04:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bug-buddy report that's useless due to ptrace EPERM, (1.37 KB, text/plain)
2009-01-30 15:10 EST, Andy Walls
no flags Details

  None (edit)
Description D. Wagner 2008-09-10 14:30:27 EDT
Description of problem:

When I walked up to my machine this morning, I found a bug-buddy message saying that gpk-update-icon had crashed.  See this bug report on the Gnome bugzilla:

http://bugzilla.gnome.org/show_bug.cgi?id=551692

Version-Release number of selected component (if applicable):

gnome-packagekit-0.2.5-2.fc9.i386

How reproducible:

unknown


Additional info:

See the Gnome bugzilla report for the bug-buddy output.

A search on this bugzilla turns up two other gpk-update-icon crash reports: bug 451730, bug 457382.  I don't know whether they're related.
Comment 1 Richard Hughes 2008-09-12 06:20:49 EDT
Can you install the ggnome-packagekit-debuginfo package please, and then try to reproduce. Without that, the backtrace is nearly useless. Thanks.
Comment 2 Christopher D. Stover 2008-10-22 17:04:18 EDT
The information we've requested above is required in order
to review this problem report further and diagnose or fix the
issue if it is still present.  Since it has been thirty days or
more since we first requested additional information, we're assuming
the problem is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED: INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested,
please feel free to reopen the bug report.

Thank you in advance.
Comment 3 Andy Walls 2009-01-30 15:08:54 EST
I can reproduce this bug reliably on Fedora 9.

How to reproduce:

1. Log into GNOME session
2. Lock screen
3. Wait patiently for a few (2-3?) minutes
4. Move the mouse, and a login prompt will not appear
5. Switch to a VT and log in as root
6. ps axf | grep bug   to verify bug-buddy is showing a window for gpk-update-icon
7. ps axf | grep screensaver
8. kill (pid of gnome's screensaver)
9. VT switch back to Gnome desktop
10. Cancel the auth prompt window for refreshing package lists
11. Click on button for bug buddy to save report.

Details:

Original bug buddy reports had a large amount of hexadecimal spew on threads and states.  After upgrading to gnome-packagekit-debuginfo  bug-buddy report is close to nothing due to a ptrace gripe (see attached bug buddy report).

Please advise on further data collection steps.  Having the screensaver lock out my GUI because gpk-update-icon has caused a focus grab for auth purposes is a hassle.
Comment 4 Andy Walls 2009-01-30 15:10:01 EST
Created attachment 330501 [details]
bug-buddy report that's useless due to ptrace EPERM,

Note You need to log in before you can comment on or make changes to this bug.